
#threecolumn_container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.threecolumn_container {
    display: grid;
    grid-template-columns: 1fr 5px 1fr 5px 1fr;
    flex: 1;
    position: relative;
    min-height: 100%;
}

.threecolumn_container > .column {
    padding: 1em;
    min-width: 100%;
    box-sizing: border-box;
    overflow: auto;
}

.threecolumn_container > .resizer {
    width: 5px;
    cursor: ew-resize;
    background-color: transparent;
    position: relative;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    max-height: calc(100vh - 60px);
}

#column1-content {
}

#column2-content {
}

#column3-content {
}

#column1, #column3 {
    position: -webkit-sticky;
    position: sticky;
    top: 60px; /* Adjust this value to match the height of your sticky header */
    z-index: 99; /* Ensure they are above other content */
    max-height: calc(100vh - 60px); /* Adjust based on your header height */
    overflow-y: auto;
}


/* Highlighting effect for fixed columns */
.fixed-column {
    border-top: 2px solid #596882;
    background-color: #f9f9f9;
}

.content-left-collapse {
    text-align: right;
}

.content-right-collapse {
    text-align: left;
}

.content-left-collapse,
.content-right-collapse {
    border-bottom: 1px solid lightgrey;
    margin-bottom: 5px;
}

/* The sticky class is added to the header with JS when it reaches its scroll position */
.sticky {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 102 !important;
}

/* Ensure the resizers maintain their position and functionality */
.resizer {
    position: -webkit-sticky;
    position: sticky;
    top: 60px; /* Same as the columns */
    z-index: 101; /* Above the columns */
}

/* Ensure the right and left action menus are positioned correctly */
#rightActionMenu, #leftActionMenu {
    position: fixed;
    top: 60px; /* Same as the columns */
    z-index: 102; /* Above the resizers */
}

.resizer-button {
    background-color: white;
    height: 25px;
    border: 1px solid grey;
    width: 30px;
    margin-bottom: 5px;
    border-radius: 5px;
    transition-duration: .3s;
}

.resizer-button:hover {
    width: 35px;
    transition-duration: .3s;
    border: 1px solid lightgrey;
}

.slide-button-left {
}

.slide-button-right {
    right: 10px;
}

.slide-button-left,
.slide-button-right {
    top: 70px;
    background-color: white;
    border-radius: 5px;
    border: 1px solid lightgrey;
    position: fixed;
    opacity: 1;
    z-index: 100;
}

.slide-button-left:hover,
.slide-button-right:hover {
    border: 1px solid grey;
    background: #F5F5F5;
    opacity: 0.6;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.1);
}

#rightActionMenu,
#leftActionMenu {
    display: none;
    position: absolute;
    top: 10px;
    z-index: 1000;
}

#rightActionMenu {
    right: 10px;
}

#leftActionMenu {
    left: 10px;
}


.b1-right {
    border-right: 1px solid lightgrey;
}

.b1-left {
    border-left: 1px solid lightgrey;
}


@media (max-width: 1024px) {
    #column1,
    #column3 {
        display: none;
    }

    #resizer1,
    #resizer2 {
        display: none;
    }

    #rightActionMenu,
    #leftActionMenu {
        display: block;
    }

    #rightActionMenu,
    #leftActionMenu {
        position: absolute;
        top: 10px;
        right: 10px;
        left: 10px;
        z-index: 1000;
    }
}
